xrootd-config(1)

NAME
xrootd-config - Get configuration information to compile programs which use XRootD

SYNOPSIS
xrootd-config [options]

DESCRIPTION
The xrootd-config command line utility makes it easier to build applications that use XRootD. It can print the installation prefix, compiler flags, and plugin version needed to link against XRootD.

OPTIONS

--cflags
    Print pre-processor and compiler flags on standard output.

--help
    Print a usage message on standard output.

--plugin-version
    Print plugin version on standard output.

--prefix
    Print installation prefix on standard output.

--version
    Print version information on standard output.

EXIT STATUS
If xrootd-config succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

SEE ALSO
cmsd(8) xrootd(8)